> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Update Account

PATCH https://api.npretail.app/{tenant}/{environment}/{company}/account/{accountId}
Content-Type: application/json

Reference: https://docs.navipartner.com/apis/api-reference/accounts/service-account/update-account

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `accountId` (UUID, required)

### Body (application/json)

This endpoint expects an UpdateUserAccount.

- `firstName` (string, optional)
- `lastName` (string, optional)
- `phoneNumber` (string, optional)
- `emailAddress` (string, optional)

## Response

### 200

- `id` (UUID, required) — The unique id of the account.
- `firstName` (string, required) — The First Name of the account owner.
- `lastName` (string, required) — The Last Name of the account owner.
- `displayName` (string, required) — The Display Name of the account owner. It's a combination of the first- and last name of the account.
- `phoneNumber` (string, required)
- `emailAddress` (string, required)
- `paymentMethods` (list of UserAccountPaymentMethodDTO, required)

## Types

### UserAccountPaymentMethodDTO

- `id` (UUID, required) — Unique identifier for a payment method.
- `PSP` (enum, required) — The payment service provider of the payment method.
  - Allowed values: `Adyen`, `Vipps`
- `status` (enum, required) — The status of the payment method.
  - Allowed values: `Active`, `Archived`
- `paymentInstrument` (string, required) — The payment method type.
- `paymentBrand` (string, required) — The payment method brand.
- `maskedPAN` (string, required) — The masked PAN of the card. The exact structure depends on the PSP.
- `PANLastDigits` (string, required) — The last 4 digits of the payment card number.
- `alias` (string, required) — A short description that can be assigned to each payment method by the end user.
- `memberships` (list of UserAccountPaymentMethodMapDTO, required)
- `expiryDate` (date, optional) — The expiry date of the card.

### UserAccountPaymentMethodMapDTO

Defines the mapping relation between a payment method and a membership.

- `membershipId` (UUID, required) — The ID of the membership that the payment method is applied to.
- `status` (enum, required) — The status of the payment method.
  - Allowed values: `Active`, `Archived`
- `default` (boolean, required)

## Examples

**Request**

```json
{
  "firstName": "John",
  "lastName": "Doe",
  "phoneNumber": "87654321",
  "emailAddress": "john@example.com"
}
```

**Response**

```json
{
  "id": "e2cfea9f-385e-4d83-8b50-42256885b03a",
  "firstName": "John",
  "lastName": "Doe",
  "displayName": "John Doe",
  "phoneNumber": "87654321",
  "emailAddress": "john@example.com",
  "paymentMethods": []
}
```

**SDK Code**

```python Update Account
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a"

payload = {
    "firstName": "John",
    "lastName": "Doe",
    "phoneNumber": "87654321",
    "emailAddress": "john@example.com"
}
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update Account
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a';
const options = {
  method: 'PATCH',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"firstName":"John","lastName":"Doe","phoneNumber":"87654321","emailAddress":"john@example.com"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Account
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a"

	payload := strings.NewReader("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"phoneNumber\": \"87654321\",\n  \"emailAddress\": \"john@example.com\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Account
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"phoneNumber\": \"87654321\",\n  \"emailAddress\": \"john@example.com\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update Account
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"phoneNumber\": \"87654321\",\n  \"emailAddress\": \"john@example.com\"\n}")
  .asString();
```

```php Update Account
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a', [
  'body' => '{
  "firstName": "John",
  "lastName": "Doe",
  "phoneNumber": "87654321",
  "emailAddress": "john@example.com"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Update Account
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"phoneNumber\": \"87654321\",\n  \"emailAddress\": \"john@example.com\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update Account
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstName": "John",
  "lastName": "Doe",
  "phoneNumber": "87654321",
  "emailAddress": "john@example.com"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./account/e2cfea9f-385e-4d83-8b50-42256885b03a")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```